@import "assets/scss/global";

$drawerWidth: 420px;

.overlay {
    background-color: rgba(0, 0, 0, 0.2);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;

    &[class~="ReactModal__Overlay"] {
        [class~="ReactModal__Content"] {
            transition: all .3s ease-in-out;
            right: 0;
            transform: translateX($drawerWidth);
        }
    }

    &[class~="ReactModal__Overlay--after-open"] {
        [class~="ReactModal__Content"] {
            transform: translateX(0);
        }
    }

    &[class~="ReactModal__Overlay--before-close"] {
        [class~="ReactModal__Content"] {
            transform: translateX($drawerWidth);
        }
    }
}


.drawer {
    position: absolute;
    width: $drawerWidth;
    height: 100%;
    max-height: 100vh;
    border-radius: 24px 0 0 24px;

    .filter-container {
        width: $drawerWidth;
        background-color: transparent;
        display: flex;

    }

    .filter-box {
        position: relative;
        background-color: #fff;
        height: 100vh;
        width: $drawerWidth;
        border-radius: 12px 0px 0px 12px;

        display: flex;
        flex-direction: column;

        .header {
            padding: 10px;
            border-bottom: 1px solid #DFDAFF;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;

            span {
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                color: #202226;
            }

            .action-section {
                display: flex;
                align-items: center;
                justify-content: flex-end;
                gap: 10px;
            }

            .reset {
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                display: flex;
                align-items: center;
                color: #ED3902;
                cursor: pointer;
            }

            button {
                padding: 10px;
                cursor: pointer;
            }

            svg {
                fill: #757688;
            }
        }

        .body {
            height: 100%;
            overflow: hidden auto;
            padding: 24px;
            padding-top: 10px;

            &::-webkit-scrollbar {
                width: 5px;
                background-color: transparent;
            }

            &::-webkit-scrollbar-track {
                background-color: transparent;
                border-radius: 10px;
                margin-top: 1rem;
                margin-bottom: 1rem;
            }

            &::-webkit-scrollbar-thumb {
                border-radius: 10px;
            }

            &>div {
                border-bottom: 1px solid #DFDAFF;
            }
        }

        .footer {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            height: 86px;
            box-shadow: 0px 20px 54px rgba(0, 0, 0, 0.1);
            border-radius: 0px 0px 0px 12px;

            .apply-btn {
                color: #FFFFFF;
                background: $success-color;
                box-shadow: 0px 12px 18px rgba(150, 209, 159, 0.25);
                border-radius: 40px;
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;

                &:hover {
                    background: linear-gradient(88.16deg, #AAEF66 1.56%, #39BA4C 97.89%);
                    box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);
                    border-radius: 40px;
                }

                &:disabled {
                    background: #F7F8FC;
                    border-color: #F7F8FC;
                    color: $grey-color;
                    cursor: not-allowed;
                }
            }
        }
    }
}